package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 *  Gyeeuser 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-15 16:48:37
 */
 @ApiModel(value="Gyeeuser", description="")
public class Gyeeuser implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/**  **/
	@ApiModelProperty(value = "") 
private String id;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String username;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String password;
		
	/**  **/
	@ApiModelProperty(value = "") 
private String nickname;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
	 
			
	public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
	 
			
	public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
	 
			
	public Gyeeuser() {
        super();
    }
    
																						
	public Gyeeuser(String id,String username,String password,String nickname) {
	
		this.id = id;
		this.username = username;
		this.password = password;
		this.nickname = nickname;
		
	}
	
}